AlgorithmParametersBase Class Referenceabstract
Inheritance diagram for AlgorithmParametersBase:

## Classes

class | ParameterNotUsed

## Public Member Functions

| AlgorithmParametersBase (const AlgorithmParametersBase &x)
| AlgorithmParametersBase (const char *name, bool throwIfNotUsed)
bool | GetVoidValue (const char *name, const std::type_info &valueType, void *pValue) const

## Protected Member Functions

void | operator= (const AlgorithmParametersBase &rhs)
virtual void | AssignValue (const char *name, const std::type_info &valueType, void *pValue) const =0
virtual void | MoveInto (void *p) const =0

## Protected Attributes

const char * | m_name
bool | m_throwIfNotUsed
bool | m_used
member_ptr < AlgorithmParametersBase > | m_next

## Friends

class | AlgorithmParameters

## Detailed Description

Definition at line 248 of file algparam.h.

The documentation for this class was generated from the following file:

- algparam.h